@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

:root
{
    --color-primary: #4153f7;
    --color-danger: #fc435c; 
    --color-success: #41f1b6; 
    --color-warning: #ffbb55; 
    --color-white: #fff;
    --color-info-dark: #7d8da1; 
    --color-info-light: #dce1eb; 
    --color-dark: #363949;  
    --color-light: rgba(132, 139, 200, 0.18); 
    --color-dark-variant: #677483; 
    --color-background: #f6f6f9; 

    --card-border-radius: 2rem;
    --border-radius-1: 0.4rem;
    --border-radius-2: 0.8rem;
    --border-radius-3: 1.2rem;

    --card-padding: 1.8rem;
    --padding-1: 1.2rem;

    --box-shadow: 0 2rem 3rem var(--color-light);
}

/* -------------  DARK THEME VARIABLES -------------- */

.dark-theme-variables
{
    --color-background: #181a1e;
    --color-white: #202528;
    --color-dark: #edeffd;
    --color-dark-variant: #a3bdcc;
    --color-light: rgba(0,0,0,0.4);
    --box-shadow:0 2rem 3rem var(--color-light);

}

* {
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
    margin: 0;
    padding: 0;
    outline: 0;
    appearance: none;
    border: 0;
    text-decoration: none;
    list-style: none;
    box-sizing: border-box;
}

body {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    background: #015660;
    user-select: none;
}

/*----------------------msg------------------------*/
.popup {
    position: absolute;
    width: 400px;
    top: 0%;
    left: 50%;
    transform: translate(-50%,-50%) scale(0.1);
    background: #ddddff;
    border-radius: 15px;
    text-align: center;
    padding: 0 30px 30px;
    color: #333;
    visibility: hidden;
    transition: transform 0.4s, top 0.4s;
    box-shadow: var(--box-shadow);
}

.open-popup{
    visibility: visible;
    top: 50%;
    transform: translate(-50%,-50%) scale(1);
}

.popup img{
    width: 100px;
    margin-top: -50px;
    border-radius: 50%;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
}

.popup h2{
    font-size: 38;
    font-weight: 500;
    margin: 30px 0 10px;
}

.popup button{
    padding: 10px 60px;
    background: #49d6a9;
    border: 0;
    outline: 0;
    cursor: pointer;
    font-size: 18px;
    font-weight: 500;
    border-radius: 4px;
    width: 100%;
    margin-top: 50px;
    color: #fff;
    box-shadow: 0 5px 5px rgba(0, 0, 0, 0.2);
}

/*----------------------------------------------*/

.containerparent{
    width: 100%;
    height: 100vh;
    background-image: linear-gradient(rgba(1, 0, 50, 0.495),rgba(0, 2, 45, 0.489)), url(img/1.jpg);
    background-position: center;
    background-size: cover;
    position: relative;
}

.headsection{
    color: #65fed5;   
    font-size: 32px;
}

.container {
    position: absolute;
    width: 70vw;
    height: 80vh;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    background: #fff;   
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, 0.3), 0 6px 20px 0 rgba(0, 0, 0, 0.3);
    overflow: hidden;
    opacity: 85%;
}

.container::before {
    content: "";
    position: absolute;
    top: 0;
    left: -50%;
    width: 100%;
    height: 100%;
    background: linear-gradient(-45deg, #13705f, #084e52);
    z-index: 6;
    transform: translateX(100%);
    transition: 1s ease-in-out;
}

.signin-signup {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-around;
    z-index: 5;
}

form {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 40%;
    min-width: 238px;
    padding: 0 10px;
}

form.sign-in-form {
    opacity: 1;
    transition: 0.5s ease-in-out;
    transition-delay: 1s;
}

form.sign-up-form {
    opacity: 0;
    transition: 0.5s ease-in-out;
    transition-delay: 1s;
}

.title {
    font-size: 35px;
    color:#30d7c3;
    margin-bottom: 10px;
}

.input-field {
    width: 100%;
    height: 50px;
    background:#033d492a;
    margin: 10px 0;
    display: flex;
    align-items: center;
}

.input-field i {
    flex: 1;
    text-align: center;
    color: #118e99b6;
    font-size: 18px;
}

.input-field input {
    flex: 5;
    background: none;
    border: none;
    outline: none;
    width: 85%;
    font-size: 14px;
    font-weight: 400;
    color: #036262b6;
    margin-right: 20px;

}



.btn {
    width: 150px;
    height: 50px;
    border: none;
    border-radius: var(--border-radius-1);
    background: #0c9e9e;
    color: #fff;
    font-weight: 600;
    margin: 10px 0;
    cursor: pointer;
    font-size: 17px;
}

.btn:hover {
    background: #0e3f4191;
}

.social-text {
    margin: 10px 0;
    font-size: 16px;
}

.social-media {
    display: flex;
    justify-content: center;
}

.social-icon {
    height: 45px;
    width: 45px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #297374;
    border: 1px solid #29746d;
    border-radius: 50px;
    margin: 0 5px;
}

a {
    text-decoration: none;
}

.social-icon:hover {
    color: #22a9a2;
    border-color: #22a7a9;
}

.panels-container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-around;
}

.panel {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    width: 35%;
    min-width: 238px;
    padding: 0 10px;
    text-align: center;
    z-index: 6;
}

.left-panel {
    pointer-events: none;
}

.content {
    color: #fff;
    transition: 1.1s ease-in-out;
    transition-delay: 0.5s;
}

.panel h3 {
    font-size: 24px;
    font-weight: 600;
}

.panel p {
    font-size: 15px;
    padding: 10px 0;
}

.image {
    width: 80%;
    margin-top: 20px;
    transition: 1.1s ease-in-out;
    box-shadow: var(--color-dark);
    transition-delay: 0.4s;
}

.images {
    width: 170px;
    margin-top: 20px;
    transition: 1.1s ease-in-out;
    box-shadow: var(--color-dark);
    transition-delay: 0.4s;
}

.imagess {
    width: 100px;
    margin-top: 20px;
    transition: 1.1s ease-in-out;
    box-shadow: var(--color-dark);
    transition-delay: 0.4s;
}

.image:hover {
    box-shadow: none;
}


.left-panel .image,
.left-panel .content {
    transform: translateX(-200%);
}

.right-panel .image,
.right-panel .content {
    transform: translateX(0);
}

.account-text {
    display: none;
}


/*Animation*/

.container.sign-up-mode::before {
    transform: translateX(0);
}

.container.sign-up-mode .right-panel .image,
.container.sign-up-mode .right-panel .content {
    transform: translateX(200%);
}

.container.sign-up-mode .left-panel .image,
.container.sign-up-mode .left-panel .content {
    transform: translateX(0);
}

.container.sign-up-mode form.sign-in-form {
    opacity: 0;
}

.container.sign-up-mode form.sign-up-form {
    opacity: 1;
}

.container.sign-up-mode .right-panel {
    pointer-events: none;
}

.container.sign-up-mode .left-panel {
    pointer-events: all;
}


/*Responsive*/

@media (max-width:779px) {
    .container {
        width: 100vw;
        height: 100vh;
    }
}

@media (max-width:635px) {
    .container::before {
        display: none;
    }
    form {
        width: 80%;
    }
    form.sign-up-form {
        display: none;
    }
    .container.sign-up-mode2 form.sign-up-form {
        display: flex;
        opacity: 1;
    }
    .container.sign-up-mode2 form.sign-in-form {
        display: none;
    }
    .panels-container {
        display: none;
    }
    .account-text {
        display: initial;
        margin-top: 30px;
    }
}

@media (max-width:320px) {
    form {
        width: 90%;
    }
}